GCLOUD_COMPUTE_INSTANCE-GROUPS_LIST-INSTANCES(1)

NAME

gcloud compute instance-groups list-instances - list instances present in the instance group

SYNOPSIS

gcloud compute instance-groups list-instances NAME [--limit LIMIT] [--regexp REGEXP, -r REGEXP] [--sort-by SORT_BY] [--uri] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instance-groups list-instances list instances in an instance group.

POSITIONAL ARGUMENTS
NAME
    The name of the instance group.

FLAGS
--limit LIMIT
    The maximum number of results.
--regexp REGEXP, -r REGEXP
    A regular expression to filter the names of the results on. Any names that do not match the entire regular expression will be filtered out.
--sort-by SORT_BY
    A field to sort by. To perform a descending-order sort, prefix the value of this flag with a tilde (``~'').
--uri
    If provided, the list command will only print URIs for the resources returned. If this flag is not provided, the list command will print a human-readable table of useful resource data.
--zone ZONE
    The zone of the instance group to list instances in. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.